org.apache.ignite.internal.processors.cache

## Class GridCacheUpdateTxResult<V>

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.GridCacheUpdateTxResult<V>

    public class GridCacheUpdateTxResult<V>
    extends Object

Cache entry transactional update result.

### Method Summary

Methods
`V` `oldValue()`
`boolean` `success()`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Method Detail

#### success

    public boolean success()

Returns:
  Success flag.

#### oldValue

    @Nullable
    public V oldValue()

Returns:
  Old value.

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

2015 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 1.0.0-RC1
Release Date | : February 17 2015